--- a/ath/if_ath.c
+++ b/ath/if_ath.c
@@ -9783,7 +9783,9 @@
 	/*
 	 * Convert HAL channels to ieee80211 ones.
 	 */
+#ifdef AR_DEBUG
 	IPRINTF(sc, "HAL returned %d channels.\n", nchan);
+#endif
 	for (i = 0; i < nchan; i++) {
 		HAL_CHANNEL *c = &chans[i];
 		struct ieee80211_channel *ichan = &ic->ic_channels[i];
@@ -9810,6 +9812,7 @@
 		ic->ic_chan_non_occupy[i].tv_sec  = 0;
 		ic->ic_chan_non_occupy[i].tv_usec = 0;
 
+#ifdef AR_DEBUG
 		IPRINTF(sc, "Channel %3d (%4d MHz) Max Tx Power %d dBm%s "
 				"[%d hw %d reg] Flags%s%s%s%s%s%s%s%s%s%s%s%s%"
 				"s%s%s%s%s%s%s%s%s%s%s%s\n",
@@ -9898,6 +9901,7 @@
 				(c->privFlags & 0x0080 ? 
 				 " PF & (1 << 7)" : "")
 				);
+#endif
 	}
 	ic->ic_nchans = nchan;
 	kfree(chans);
